Bug 1577111 - gcc-go fails to compile
Summary: gcc-go fails to compile
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 08:37 UTC by Harald Hoyer
Modified: 2019-11-27 22:47 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 22:47:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Harald Hoyer 2018-05-11 08:37:37 UTC
Compile error, although that works fine with golang-bin-1.10.2-1.fc29.x86_64

$ rpm -q gcc-go
gcc-go-8.1.1-1.fc29.x86_64

$ go build ./...
# _/home/harald/workspace-new/gcc-go-bug/src/gcc-go-bug
./gcc-go.bug.go:28:3: error: invalid type conversion
  }(in.Struct))
   ^
$ cat gcc-go.bug.go 
package main

func Test07(struct_ struct {
	Bool   bool
	Int    int64
	Float  float64
	String string
}) error {
	return nil
}

func foo() error {
	var in struct {
		Client_id string `json:"client_id"`
		Struct    struct {
			Bool   bool    `json:"bool"`
			Int    int64   `json:"int"`
			Float  float64 `json:"float"`
			String string  `json:"string"`
		} `json:"struct"`
	}

	return Test07(struct {
		Bool   bool
		Int    int64
		Float  float64
		String string
	}(in.Struct))

}

func main() {
	foo()
	print("OK")

}

Playground: https://play.golang.org/p/4xaZNVAwzwX

Comment 1 Jan Kurik 2018-08-14 10:03:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Ben Cotton 2019-10-31 19:09:45 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-11-27 22:47:51 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.